##### GENERAL STUFF #####

Summary:	Library for parsing, editing, and saving MakerNote-EXIF-tags
Name:		libmnote
Version:	0.5.6
Release:	1mdk
License:	LGPL
Group:		Graphics
Url:		http://sourceforge.net/projects/libexif/
BuildRequires:	libexif-devel

##### SOURCE FILES #####

Source: http://belnet.dl.sourceforge.net/sourceforge/libexif/libmnote-%{version}.tar.bz2

##### ADDITIONAL DEFINITIONS #####

Provides:	libmnote
BuildRoot: %{_tmppath}/%{name}-buildroot

##### SUB-PACKAGES #####

%description

libmnote supports parsing, editing and saving of EXIF MakerNote
data. In addition, it has gettext support. Currently, libmnote
supports only a few camera manufacturer MakerNote formats (submissions
are welcome).

%package -n libmnote7
Summary:	Library for parsing, editing, and saving MakerNote-EXIF-tags
Provides:	libmnote7
Requires:	libexif8
Group:		Graphics

%description -n libmnote7

libmnote supports parsing, editing and saving of EXIF MakerNote
data. In addition, it has gettext support. Currently, libmnote
supports only a few camera manufacturer MakerNote formats (submissions
are welcome).

%package -n libmnote7-devel
Summary: 	Headers and links to compile against the "libmnote7" library
Requires: 	libmnote7 = %{version}
Provides:	libmnote-devel
Group:		Graphics

%description -n libmnote7-devel
This package contains all files which one needs to compile programs using
the "libmnote7" library.


##### PREP #####

%prep
rm -rf $RPM_BUILD_DIR/libmnote-%{version}
%setup -q -n libmnote-%{version}

##### BUILD #####

%build
# "autogen" is needed because we have a CVS snapshot.
#./autogen.sh
%configure
%make

##### INSTALL #####

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# Install the README files of the source tarball in the doc directory
#cp *.txt $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}

%find_lang %{name}-7

##### PRE/POST INSTALL SCRIPTS #####

%post -n libmnote7 

/sbin/ldconfig

%postun -n libmnote7 

/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### libmnote7
%files -n libmnote7 -f %{name}-7.lang
%defattr(-,root,root)
%doc ABOUT-NLS COPYING ChangeLog README
%{_libdir}/*.so.*

##### libmnote7-devel
%files -n libmnote7-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*

##### CHANGELOG #####

%changelog
* Fri Jan 17 2003 Till Kamppeter <till@mandrakesoft.com> 0.5.6-1mdk
- Initial release

